# batchprint

A free and open source mass image printer for Windows. Powered by Pillow, and supports JPEG, PNG, WebP [and more](https://pillow.readthedocs.io/en/stable/handbook/image-file-formats.html#fully-supported-formats). Images are stretched and rotated automatically.

![preview](docs/assets/preview.png)

Download builds: [https://fier.me/software/batchprint](https://fier.me/software/batchprint)

## Prerequisites

- [Visual C++ 2010 Redistributable](https://www.microsoft.com/en-us/download/details.aspx?id=26999)

## Compatibility

Has been tested with Windows 7 and 10, and should potentially work with Windows 2000 and up. Both 32-bit and 64-bit systems are supported.

## Running from source

You can run batchprint directly from its pyw file, if you have these prerequisites installed via pip:  
- pywin32  
- pillow  
- QtPy  
- a Qt module compatible with qtpy (try PyQt5)

## Compiling

You can compile portable files as well as the installer (soon) by running `build.bat`. It requires [curl](https://curl.se/windows/) in your `%path%` or in the script's directory. It will pull all required resources and build exe files without making changes to your system. If you are using a 64-bit OS, it will build both 32 and 64-bit versions. You can find the distributables in `build/ARCH/dist`.